List webhooks

List webhook notification endpoints owned by the caller’s business.

Required permissions: notification_endpoint:list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Query parameters

enabledboolean or nullOptional
Filter webhooks by enabled state.
statusenum or nullOptional
Filter webhooks by lifecycle status.
page_sizeintegerOptional1-3000Defaults to 100
Maximum number of results to return per page. Defaults to 100.
next_page_tokenstring or nullOptional
Pagination key used to retrieve the next page of results.

Response

A list of webhooks.
itemslist of objects
The list of items returned by the API.
countinteger
The total number of items returned in this response.
next_page_tokenstring or nullOptional
A token for retrieving the next page of results, if applicable.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error